Subject: Re: bug#76814: 31.0.50; NS initial frame not raised

From: Ship Mints <[email-masked]>
Date: Fri, 7 Mar 2025 15:12:34 -0500

On Fri, Mar 7, 2025 at 3:10 PM Stefan Kangas <[email-masked]> wrote:

> Ship Mints <[email-masked]> writes:
>
> > This is a behavior difference from 29 and 30.  In my init, I have to
> > manually raise the initial frame to avoid having to search for the new
> > frame using the Mac app switcher.
>
> I see this behavior with Emacs 28 and 29 too, when starting Emacs from a
> terminal window.  BTW, what is the workaround that you're using?
>
> Looking into this a little bit, I did find this API:
>
>     [main_window makeKeyAndOrderFront:nil];
>
>
> https://developer.apple.com/documentation/appkit/nswindow/makekeyandorderfront(_
> :)
>
> Alan, do you have any ideas or suggestions here?
>

Pretty much this:

  (add-hook 'window-setup-hook
            (lambda ()
              (select-frame-set-input-focus (selected-frame)))